.spinner {
  animation: rotate var(--spinner-duration) linear infinite;

  --spinner-duration: 1.5s;
  --spinner-offset: 120px;
}

.spinner.small {
  height: 24px;
}

.path {
  stroke: var(--color-border);
  stroke-dasharray: var(--spinner-offset);
  stroke-dashoffset: 0;
  transform-origin: center;

  animation: dash var(--spinner-duration) ease-in-out infinite;
}

@keyframes rotate {
  0% {
    rotate : 0deg;
  }
  100% {
    rotate: 270deg;
  }
}

@keyframes dash {
  0% {
    stroke-dashoffset: var(--spinner-offset);
  }
  50% {
    stroke-dashoffset: calc(var(--spinner-offset) / 4);
    rotate: 135deg;
  }
  100% {
    stroke-dashoffset: var(--spinner-offset);
    rotate: 450deg;
  }
}